# Installazione

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Quel maledetto core dump di fsck mi rende nervoso!

Niente paura! Benché l'uso di qualche software in versione Beta possa causare notevoli angosce, è improbabile che l'installazionedi KDE ti distrugga il disco fisso. In questo capitolo ti guiderò lungo il processo di installazione, in modo che tu possa dare un'occhiata al tuo nuovo desktop abbastanza in fretta ( e senza infarti!). Come per qualsiasi altra installazione di un nuovo Gestore di finestre, ti raccomando di fare una copia di sicurezza dei file di configurazione di X11, prima di cominciare. Se non sai dove trovarli, prova a cercare nei file nascosti (`.*`) della tua directory home e nella directory `/usr/X11/lib/X11/xdm`.

## Requisiti

Prima di installare KDE, assicurati che il sistema abbia i seguenti requisiti:

- Un sistema operativo UNIX compatibile POSIX. Fra gli UNIX noti per lavorare bene con KDE: Linux, FreeBSD, Solaris, HP-UX, and MkLinux. Siamo al lavoro per fornire versioni KDE compatibili con altre piattaforme.

- Una certa quantità di spazio disco disponibile nella partizione dove verrà creato `/opt/kde`. Se il tuo sistema supporta librerie condivise lo spazio raccomandato è intorno a 50MB, in caso contrario lo spazio necessario aumenta considerevolmente. Se per diversi motivi devi/vuoi compilare KDE dai sorgenti, ricorda che servono anche circa 100MB liberi in `/usr/src`.

- Un sistema X11 funzionante, sia con che senza xdm. Se non hai ancora installato l'X Window System, per prima cosa controlla sui tuoi supporti d'installazione se hai una versione installabile. Se non riesci a trovarla, cerca nel sito the XFree86 web site le informazioni su come ottenere ed installare l'X Window System, o contatta il servizio d'assistenza del tuo fornitore di UNIX.

- Le librerie Qt versione 3.0.2. Le puoi trovare su Troll Tech's FTP Server in formato sia rpm che tgz.

Un'avvertenza *importante* prima di iniziare: se stai facendo un aggiornamento da una versione precedente di KDE, è altamente raccomandato seguire questi passi:

    cd /opt/kde
    tar cfvz ~/KDE_copia_vecchia_versione.tar.gz *

## Linux: Come installare RPM per RedHat, Caldera e SuSE.

Usare gli RPM è il modo più semplice di installare KDE. Basta andare sul sito mirror di KDE per te più comodo, e cercare la directory `/pub/kde/stable/distribution/rpm`. Qui troverai diverse directory per i vari sistemi operativi. Attualmente KDE è disponibile per le architetture i386, alpha e sparc. I pacchetti RPM possono anche essere prelevati da siti di affiancamento a RedHat, quali sunsite.unc.edu o ftp.redhat.com.

Il sistema di base è composto dai file `kde-component.architecture.rpm`. Come installazione minima ti servono almeno kdesupport, kdelibs e kdebase. Oltre alla configurazione base puoi scaricare qualsiasi altro pacchetto RPM che pensi ti possa essere utile.

Quindi comincia l'installazione dei pacchetti di base. Se è la prima volta che installi KDE, usa

    rpm -i kdesupport.arch.rpm
    rpm -i kdelibs.arch.rpm
    rpm -i kdebase.arch.rpm

Importante: questi componenti devono essere installati nell'ordine, e prima di qualsiasi altro componente di KDE.

Se invece stai aggiornando una precedente versione, devi usare

    rpm -Uvh kde-component.arch.rpm

Ancora una volta, l'ordine di installazione dei pacchetti deve essere rispettato, e vanno installati prima di tutti gli altri componenti.

Questo espanderà la distribuzione di base e installerà di default in `/opt/kde`.

Se l'installazione dei pacchetti di base si è conclusa con successo, puoi installare i pacchetti rimanenti (ricorda di usare `-Uvh` invece di `-i` se stai aggiornando una versione precedente) nello stesso modo.

## Linux: Come installare DEB per la debian

Anche l'installazione su un sistema Debian è abbastanza lineare. Troverai solo i pacchetti di KDE 2.0 per la Debian 2.2 (Potato) e per la 3.0 (Woody). Qui descriviamo solo l'installazione per la Debian 2.2, la versione stabile, visto che la Debian 3.0 è ancora in sviluppo. Comunque, l'installazione delle due versioni è pressoché identica. La differenza sostanziale è che nella Debian 3.0 è ufficialmente incluso KDE, e non avrai bisogno di specificare nessun percorso per trovare i pacchetti deb di KDE.

Punto primo: devi dire al sistema dove trovare i pacchetti deb di KDE. Troverai un elenco di indirizzi per i pacchetti Debian nel tuo disco fisso, sotto `/etc/apt/sources.list`. Dovresti anche aggiungere al file la riga: `http://kde.tdyc.com/ stable kde2`

Punto secondo: devi aggiornare il tuo database locale dei pacchetti, in modo che al sistema venga notificata la disponibilità di nuovi pacchetti. Digita il seguente comando:

    apt-get update

Punto terzo: dovresti installare i componenti di base di KDE. Questo si fa digitando:

    apt-get install kdebase

Se vuoi installare componenti addizionali ti servirà qualcuna, o tutte, di queste opzioni:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Probabilmente vorrai anche installare la tua lingua.

    apt-get install
    kde-i18n-xx

dove xx deve essere sostituito dal codice nazione, nel nostro caso it.

I file di configurazione di alcune applicazioni KDE verranno salvati nella directory `/etc/kde2`, gli eseguibili nella `/usr/bin`, e la maggior parte dei file ausiliari in `/usr/share` con diverse sottodirectory.

Se stai facendo un aggiornamento da una precedente versione di KDE dovresti osservare i seguenti punti: Primo, aggiornare il file `/etc/apt/sources.list` cambiando la riga che indica la posizione dei pacchetti KDE con la riga: `http://kde.tdyc.com/ stable kde3`. Secondo: aggiornare il database dei pacchetti:

    apt-get update

Terzo: installare i componenti fondamentali del sistema KDE:

    apt-get install kdebase
    apt-get dist-upgrade

Se vuoi installare componenti addizionali di KDE ti servirà qualcuna, o tutte, di queste opzioni:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Come usare la compilazione dai sorgenti per installare su altri sistemi

Se la tua distribuzione Linux non supporta i formati RPM o DEB, oppure non stai usando Linux, devi compilare KDE. Per il futuro abbiamo in programma una distribuzione binaria di KDE che includa un programma di installazione.

Per compilare ed installare con successo KDE, ti servono i seguenti programmi installati sul tuo sistema:

- Un compilatore ANSI-C, p.es. il compilatore GNU C.

- Un compilatore ANSI-C++, p.es. il compilatore GNU C++.

- L'applicazione make.

- Le librerie di sviluppo Qt versione 2.2 o superiori.

- La versione di sviluppo di X11 (i file include, qui presenti, spesso mancano nella versione base)

Una volta che hai tutte le applicazioni di supporto, vai sul mirror di KDE per te più comodo e scarica i seguenti file dalla directory `/pub/kde/stable/newest version`:

- `kdesupport-version.tar.gz`

- `kdelibs-version.tar.gz`

- `kdebase-version.tar.gz`

- e qualsiasi altro pacchetto tu voglia installare. Ti raccomando di installare almeno kdeutils.

In tutto quanto sopra descritto, version sta per il numero attuale di versione. Una volta scaricati tutti i file che ti servono, decomprimili nella directory `/usr/src`. Ciò ti creerà la seguente struttura di directory:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (tutti gli altri pacchetti)

Assicurati di avere permessi di scrittura sulla directory `/opt/kde`.

Quindi puoi compilare e installare i pacchetti in questo modo:

1. `cd` directory del pacchetto che vuoi installare (vedi sopra)

2. `./configure` (aggiungi le opzioni che vuoi usare)

3. `make`

4. `make install`

Questa sequenza di comandi deve essere ripetuta per ogni pacchetto che vuoi installare.

Questa sequenza di comandi è valida per quasi tutti i sorgenti, non solo per i pacchetti di KDE.

Ogni script di configurazione ha disponibili diverse opzioni. Alcune sono comuni a svariati pacchetti, altre specifiche di un particolare pacchetto. Di seguito puoi vedere una parte del risultato di `configure `--help`` in kdelibs:

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Alcune opzioni non sono obbligatorie, e servono solo ad evitare problemi già noti (p.es. `--disable-FEATURE`). Dal momento che alcune opzioni sono molto importanti, per esempio --with-shadow, dovresti sempre controllare le opzioni disponibili.

Un'importante opzione è `--prefix`. Questa opzione specifica il percorso dove configure dovrebbe installare (per kdesupport e kdelibs) o dove trovare le librerie (per gli altri pacchetti). Di default configure cercherà in `/opt/kde`. Se vuoi installare KDE in `/usr/local/kde`, devi usare `configure `--prefix /usr/local/kde``.

Se hai installato le librerie Qt in un posto insolito, per esempio in `$HOME/src/qt`, devi usare l'opzione `configure `--with-qt-dir=$HOME/src/qt``. Di default configure cerca nelle directory più usate per le Qt prima di arrendersi.

Se incontri problemi che non riesci a risolvere, manda una copia del file `config.log` all'indirizzo che troverai nel file `README` del pacchetto bacato.

L'ordine di installazione dei pacchetti KDE è il seguente: kdesupport, kdelibs, quindi tutti gli altri pacchetti di applicazioni (per es. kdebase). Tutti i pacchetti delle applicazioni dovrebbero avere dipendenze solo da kdelibs quindi, se hai una macchina potente, puoi compilarli contemporaneamente.

Se vuoi utilizzare un sistema multiprocessore, usa il comando `make `-j Numero di processori`` invece di`make`.

### Note di installazione per piattaforme specifiche

#### Linux

Per Linux, la maggior parte delle applicazioni di supporto sono reperibili sia su ftp://sunsite.unc.edu/pub/Linux/GCC che su ftp://sunsite.unc.edu/pub/GNU. Le librerie Qt si possono trovare su ftp://ftp.troll.no/pub/qt/source, e sono disponibili come sorgenti. Contegono dettagliate instruzioni di installazione. I file include per il programma X11 sono disponibili su ftp://ftp.xfree86.org nella sezione xdevel.

## Cambiamenti necessari nei file di configurazione

Dopo aver messo i file binari di KDE nelle loro directory di destinazione, devi fare alcune piccole modifiche negli script di avvio.

La seguente procedura è stata provata con successo su una distribuzione SuSE Linux 5.0, e dovrebbe essere compatibile con altri diffusi UNIX. Fai sempre una copia di sicurezza dei file di configurazione prima di modificarli! Aggiungi come ultima riga del file /etc/profile:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Quindi, modifica il file .xinitrc nella directory home. Cerca la riga che invoca il gestore di finestre e sostituiscila con `startkde`.

Ora che hai installato tutto quello che serve per lanciare KDE, puoi andare al capitolo 4, dove ti verrà spiegato in dettaglio coma lanciare KDE la prima volta. Se qualcosa va storto, dovrai compilare KDE per conto tuo. Leggi Using Source Compilation to Install on Top of Other Systems per ulteriori informazioni.

Abbiamo creato un'installazione il più possibile a prova d'errore, quindi non dovresti avere nessun problema serio, a meno che la tua installazione non sia particolarmente esotica. Se incontri dei problemi segnalali alle the KDE mailing lists